Subject: Re: [Geopriv] FW: New Version Notification for draft-thomson-geopriv-location-obscuring-02

From: "Christian Hoene" <[email-masked]>
Date: Sat, 19 Mar 2011 16:05:08 +0100

Hi Martin,

In our group, we had some discussion on obscuring location because we think
that it is a very interesting scientific problem. After doing some
literature research, I found the following publications, which cover the
topic of your draft.

[1] Duckham, M., Kulik, L., & Birtley, A. (2006). A Spatiotemporal Model of
Strategies and Counter Strategies for Location Privacy Protection. In
Geographic Information Science, 4th International Conference, GIScience
2006, pp. 47-64.
[2] http://portal.acm.org/citation.cfm?id=1569363
[3] http://portal.acm.org/citation.cfm?id=1770566
Including the references here in and the publications citing the references
above.

Based on this brief research overview, I strongly suggest to base the IETF
Geopriv work on location obfuscation on those solid research results. Maybe,
one of those researchers is willing to contribute to this WG. Do may ask
Matt Duckman. Isn't he a fellow countryman?

With best regards,
 Christian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Thomson, Martin
> Sent: Friday, January 14, 2011 7:07 AM
> To: [email-masked]
> Subject: [Geopriv] FW: New Version Notification for draft-thomson-geopriv-
> location-obscuring-02
> 
> I've submitted a new version of the location obscuring draft.
> 
> Changes include:
> 
>  - Added an improved method for generating random vectors that allows for
> less variation during interpolation.  This means that the recommended grid
> size can be made much smaller (now 8 times the obscuring distance, down
> from 20).
>  - Refined the calculations around what grid size was necessary and the
effect
> that changing the offset vector has on worst-case ability to reduce
> uncertainty area.
>  - Added an example.
>  - Wording and the usual editorial cleanup stuff.
> 
> My demonstration page is now live here, using the updated method:
> 
>   <http://held-location.sourceforge.net/js_geoshape/maptest.html>
> 
> --
> 
> I've also developed a few tools for visualizing the interpolation process
using
> Processing.  The following are probably of most interest:
> 
> Random vector grid visualization
>    <http://held-
> location.sourceforge.net/randomVectorGrid/randomVectorGrid.jar>
> Shows how random vectors are chosen and interpolated.  Compares both
> interpolation methods.
> 
> Square peg interpolation visualization
>    <http://held-location.sourceforge.net/interpolation/interp.jar>
> Shows how interpolation is used between two different points in the
circle.
> Compares interpolation methods and demonstrates how the square peg
> method is used.  I found the loops that form to be interesting.
> 
> --Martin
> 
> p.s. I'd link to the applets directly, but I couldn't be sure that they
are safe -
> the applets caused every browser I have to die horribly.  It seems like a
Java
> problem.  Strip the last part of the path off if you are game.
> 
> On 2011-01-14 at 16:25:38, IETF I-D Submission Tool wrote:
> > A new version of I-D, draft-thomson-geopriv-location-obscuring-02.txt
> > has been successfully submitted by Martin Thomson and posted to the
> > IETF repository.
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/geopriv